Subject: [PATCH V5 1/3] arm: dts: dra7: Add crossbar device binding

From: [email-masked] (Darren Etheridge)
Date: Tue, 6 May 2014 14:58:04 -0500

Nishanth Menon <[email-masked]> wrote on Tue [2014-May-06 14:46:10 -0500]:
> On 05/06/2014 02:40 PM, Felipe Balbi wrote:
> > On Tue, May 06, 2014 at 07:26:17PM +0530, Sricharan R wrote:
> >> This adds the irq crossbar device node.
> >>
> >> There is a IRQ crossbar device in the soc, which
> >> maps the irq requests from the peripherals to the
> >> mpu interrupt controller's inputs. The Peripheral irq
> >> requests are connected to only one crossbar
> >> input and the output of the crossbar is connected to only one
> >> controller's input line. The crossbar device is used to map
> >> a peripheral input to a free mpu's interrupt controller line.
> >>
> >> Cc: Benoit Cousson <[email-masked]>
> >> Cc: Santosh Shilimkar <[email-masked]>
> >> Cc: Rajendra Nayak <[email-masked]>
> >> Cc: Tony Lindgren <[email-masked]>
> >> Signed-off-by: Sricharan R <[email-masked]>
> >> Signed-off-by: Nishanth Menon <[email-masked]>
> >> ---
> >> [V5] Rebased on top of 3.15-rc4 and corrected the
> >>      irqs-reserved list
> >>
> >>  arch/arm/boot/dts/dra7.dtsi |    8 ++++++++
> >>  1 file changed, 8 insertions(+)
> >>
> >> diff --git a/arch/arm/boot/dts/dra7.dtsi b/arch/arm/boot/dts/dra7.dtsi
> >> index 149b550..0274a86 100644
> >> --- a/arch/arm/boot/dts/dra7.dtsi
> >> +++ b/arch/arm/boot/dts/dra7.dtsi
> >> @@ -790,6 +790,14 @@
> >>  			status = "disabled";
> >>  		};
> >>  	};
> >> +
> >> +	crossbar_mpu: crossbar at 4a020000 {
> > 
> > shouldn't this be "status = disabled"; so that boards enable this
> > on-demand ??
> > 
> It cannot be and does not need to be. crossbar is an SoC feature. by
> defining crossbar, the IRQ numbers we provide in DTS now becomes
> crossbar numbers which get mapped to GIC interrupt numbers dynamically.
> 
> further crossbar is not a board feature. it is as ingrained in DRA7
> behavior as GIC is. we are fortunate that we have some default mapping
> of crossbar that allows the current peripherals to work, with this
> support, we dont have to depend any longer on "we are lucky that is
> mapped".
> 
> That said, in hindsight, patch #1 and 2 should be squashed IMHO. else
> we have a bisectability problem here.
> 
Yes the bisectability problem is completely true - I was just testing
that as your email came in.  In fact I think all three patches need to
be squashed into one, I can't boot the dra7-EVM unless I have all three
patches applied.

With all three patches applied, basic boot is looking good.  I will
reply with my tested-by once I have got VIP, etc up and running.

Darren